Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1338505 - Review Request: planex - RPM build tool
Summary: Review Request: planex - RPM build tool
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2016-05-22 07:31 UTC by Robin Lee
Modified: 2016-07-11 02:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-11 02:21:49 UTC
msuchy: fedora-review?


Attachments (Terms of Use)

Description Robin Lee 2016-05-22 07:31:01 UTC
Spec URL: https://cheeselee.fedorapeople.org/planex.spec
SRPM URL: https://cheeselee.fedorapeople.org/planex-0.7.3-1.fc24.src.rpm
Description: Planex is a tool for building RPMs. It manages interdependencies and caching.
Fedora Account System Username: cheeselee

Comment 1 Robin Lee 2016-05-24 01:57:19 UTC
Spec URL: https://cheeselee.fedorapeople.org/planex.spec
SRPM URL: https://cheeselee.fedorapeople.org/planex-0.7.3-2.fc22.src.rpm

Change:
- Don't include the bash_completion script (BZ#1338709)

Comment 2 Miroslav Suchý 2016-06-09 09:28:58 UTC
Planex use yum-plugin-priorities - note that new projects should not use yum, but rather DNF. And this plugin is now part of DNF, see priority option in man dnf.conf.

There are no man pages:
planex.noarch: W: no-manual-page-for-binary planex-fetch
planex.noarch: W: no-manual-page-for-binary planex-init
planex.noarch: W: no-manual-page-for-binary planex-depend
planex.noarch: W: no-manual-page-for-binary planex-makedeb
planex.noarch: W: no-manual-page-for-binary planex-cache
planex.noarch: W: no-manual-page-for-binary planex-pin

> sed -i "s/\(version='\)[^'\"]\+/\1%{version}-%{release}/g" setup.py
Why? This is not needed. Version is version. Not version-release.

> %{__python} setup.py build
Should be:
  %py2_build

> %{__python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
Should be:
  %py2_install

> Requires: createrepo
Createrepo is obsolete. You should use createrepo_c. It is much faster and is usually drop-in replacement.
http://portingdb-encukou.rhcloud.com/pkg/createrepo/

This package use python2. Whole Fedora is now trying to migrate to Python3
  http://portingdb-encukou.rhcloud.com/
It will be nice if you can cooperate with upstream on migrating to python3.

Any reason why planex.ps is not included as %doc?

Upstream provides tests and you do not run them in %check section. You should run it.


Note You need to log in before you can comment on or make changes to this bug.